#include "thermostat.h"
#include <hypro/algorithms/reachability/Reach.h>
#include <hypro/datastructures/HybridAutomaton/HybridAutomaton.h>
#include <hypro/representations/GeometricObjectBase.h>

int main() {
  // aliasses
  using namespace hypro;
  using Number = double;
  using Representation = hypro::Box<Number>;

  // get hybrid automaton
  HybridAutomaton<Number> automaton = getThermostat<Number>();

  std::cout << "Obtained automaton:\n" << automaton << std::endl;

  return 0;
}
